local modpath = core.get_modpath("pyutest_overworld")

if PyuTest.is_flat() then
	PyuTest.register_overworld_biome("flat", PyuTest.BIOME_TYPES.NORMAL, {
		node_top = core.settings:get("superflat_block"),
		node_filler = "pyutest_blocks:dirt",

		y_max = PyuTest.OVERWORLD_BIOME_TOPS.normal,
		y_min = PyuTest.OVERWORLD_BOTTOM,

		heat_point = 50,
		humidity_point = 50,
	})

	return
end

dofile(modpath .. "/biomes.lua")
dofile(modpath .. "/biomes_extra.lua")
dofile(modpath .. "/caves.lua")
dofile(modpath .. "/features.lua")
dofile(modpath .. "/structures.lua")
dofile(modpath .. "/trees.lua")
dofile(modpath .. "/flowers.lua")
